| X11-1.5.0.0: A binding to the X11 graphics library | Source code | Contents | Index

Graphics.X11.Xlib.Types

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
A collection of type declarations for interfacing with Xlib.
Synopsis

newtype Display = Display (Ptr Display)
newtype Screen = Screen (Ptr Screen)
data Visual
data GC
data GCValues
data SetWindowAttributes
newtype Image = Image (Ptr Image)

data Point = Point {

pt_x :: !Position
pt_y :: !Position

}

data Rectangle = Rectangle {

rect_x :: !Position
rect_y :: !Position
rect_width :: !Dimension
rect_height :: !Dimension

}

data Arc = Arc {

arc_x :: Position
arc_y :: Position
arc_width :: Dimension
arc_height :: Dimension
arc_angle1 :: Angle
arc_angle2 :: Angle

}

data Segment = Segment {

seg_x1 :: Position
seg_y1 :: Position
seg_x2 :: Position
seg_y2 :: Position

}

data Color = Color {

color_pixel :: Pixel
color_red :: Word16
color_green :: Word16
color_blue :: Word16
color_flags :: Word8

}

type Pixel = Word64
type Position = Int32
type Dimension = Word32
type Angle = CInt
type ScreenNumber = Word32
type Buffer = CInt

Documentation

newtype Display | Source

pointer to an X11 `Display` structure
Constructors

Display (Ptr Display) |

Instances

Eq Display
Data Display
Ord Display
Show Display
Typeable Display

newtype Screen | Source

pointer to an X11 `Screen` structure
Constructors

Screen (Ptr Screen) |

Instances

Eq Screen
Data Screen
Ord Screen
Show Screen
Typeable Screen

data Visual | Source

pointer to an X11 `Visual` structure
Instances

Eq Visual
Data Visual
Ord Visual
Show Visual
Typeable Visual

data GC | Source

pointer to an X11 `GC` structure
Instances

Eq GC
Data GC
Ord GC
Show GC
Typeable GC

data GCValues | Source

pointer to an X11 `XGCValues` structure
Instances

Eq GCValues
Data GCValues
Ord GCValues
Show GCValues
Typeable GCValues

data SetWindowAttributes | Source

pointer to an X11 `XSetWindowAttributes` structure
Instances

Eq SetWindowAttributes
Data SetWindowAttributes
Ord SetWindowAttributes
Show SetWindowAttributes
Typeable SetWindowAttributes

newtype Image | Source

pointer to an X11 `XImage` structure
Constructors

Image (Ptr Image) |

Instances

Eq Image
Data Image
Ord Image
Show Image
Typeable Image

data Point | Source

counterpart of an X11 `XPoint` structure
Constructors

Point |

pt_x :: !Position |
pt_y :: !Position |

Instances

Eq Point
Data Point
Show Point
Typeable Point
Storable Point

data Rectangle | Source

counterpart of an X11 `XRectangle` structure
Constructors

Rectangle |

rect_x :: !Position |
rect_y :: !Position |
rect_width :: !Dimension |
rect_height :: !Dimension |

Instances

Eq Rectangle
Data Rectangle
Read Rectangle
Show Rectangle
Typeable Rectangle
Storable Rectangle

data Arc | Source

counterpart of an X11 `XArc` structure
Constructors

Arc |

arc_x :: Position |
arc_y :: Position |
arc_width :: Dimension |
arc_height :: Dimension |
arc_angle1 :: Angle |
arc_angle2 :: Angle |

Instances

Eq Arc
Show Arc
Typeable Arc
Storable Arc

data Segment | Source

counterpart of an X11 `XSegment` structure
Constructors

Segment |

seg_x1 :: Position |
seg_y1 :: Position |
seg_x2 :: Position |
seg_y2 :: Position |

Instances

Eq Segment
Data Segment
Show Segment
Typeable Segment
Storable Segment

data Color | Source

counterpart of an X11 `XColor` structure
Constructors

Color |

color_pixel :: Pixel |
color_red :: Word16 |
color_green :: Word16 |
color_blue :: Word16 |
color_flags :: Word8 |

Instances

Eq Color
Data Color
Show Color
Typeable Color
Storable Color

type Pixel = Word64 | Source

type Position = Int32 | Source

type Dimension = Word32 | Source

type Angle = CInt | Source

type ScreenNumber = Word32 | Source

type Buffer = CInt | Source

Produced by Haddock version 2.4.2